Free-needto upgade to mac os x 10.3 or later

October 26, 2010 at 00:27:39
Specs: Macintosh
NEED TO UPGRADE TO MAC OS X 10.3 OR LATER BUT CAN'T BECAUSE ALL UPGRADE NEED MAC OS X 10.4 LATER HOW CAN I GET THE NEXT UPGRADE WHEN ALL SYSTEMS REQUIREMENTS ARE ABOVE REQUIREMENTS THAT I'M TRYING TO GET

See More: Free-needto upgade to mac os x 10.3 or later

Report •

#1
October 26, 2010 at 07:39:12
You can only upgrade to the supported OSX for the specific machine, that is Apple's policy.

Maybe you could enlighten use what Macintosh you have ??


Report •
Related Solutions


Ask Question